fglrx 8.30.3 broken

You may need to add this to xorg.conf to make last (8.30.3) fglrx driver work properly

Section "ServerFlags"
    Option "AIGLX" "off"
EndSection

Section "Extensions"
    Option "Composite" "0"
EndSection

Note that the installer seems broken (at lest on Debian Sid and Ubuntu Edgy), and you will have to extract it manually and fix script. You may also use my packages.

#debian, #fglrx